#!/bin/sh
echo 'name: hashed-storage
version: 0.5.9
id: hashed-storage-0.5.9-3e8a694454cf71062617bce89580e9b3

license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
stability:
homepage:
package-url:
description: Support code for reading and manipulating hashed file storage
             (where each file and directory is associated with a
             cryptographic hash, for corruption-resistant storage and fast
             comparisons).
             .
             The supported storage formats include darcs hashed pristine, a
             plain filesystem tree and an indexed plain tree (where the index
             maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules: Storage.Hashed Storage.Hashed.AnchoredPath
                 Storage.Hashed.Index Storage.Hashed.Monad Storage.Hashed.Tree
                 Storage.Hashed.Hash Storage.Hashed.Packed Storage.Hashed.Plain
                 Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
import-dirs: /usr/lib/ghc-7.0.3/site-local/hashed-storage-0.5.9
library-dirs: /usr/lib/ghc-7.0.3/site-local/hashed-storage-0.5.9
hs-libraries: HShashed-storage-0.5.9
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.3.1.0-c33a1741503ded8a0170884e8a2e4fa2
         binary-0.5.0.2-b471fd4ae9e6a992eed4cf652dba019b
         bytestring-0.9.1.10-6aa1efbfa95d1689fc03d61e7c4b27c4
         containers-0.4.0.0-b4885363abca642443ccd842502a3b7e
         dataenc-0.14.0.2-e15476c358ad71bd5889248f6d328b5a
         directory-1.1.0.0-393d8e95f1c0dd6ee908e122f924ac85
         extensible-exceptions-0.1.1.3-d8c5b906654260efd7249f497d17a831
         filepath-1.2.0.0-b4f4cf7e95546b00f075372f0ccb0653
         mmap-0.5.7-127e379f104e2b945de5325ba3158467
         mtl-2.0.1.0-5b7a9cce5565d8cc8721ba4f95becf1b
         zlib-0.5.3.1-7e19941cbd00147a79723e25160ffc8b
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/hashed-storage-0.5.9/html/hashed-storage.haddock
haddock-html: /usr/share/doc/hashed-storage-0.5.9/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
